=== debian/changelog ===
optee-test (4.2.0-1) unstable; urgency=medium

  * Initial debian packaging (Closes: #868216)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 07 May 2024 11:41:43 +0200
