=== debian/control ===
Source: optee-test
Section: devel
Priority: optional
Maintainer: Dylan Aïssi <daissi@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               libssl-dev,
               optee-client-dev (>=4.2.0) [arm64],
               optee-os-dev (>=4.2.0) [arm64],
               python3,
               python3-cryptography
Vcs-Browser: https://salsa.debian.org/debian/optee-test
Vcs-Git: https://salsa.debian.org/debian/optee-test.git
Homepage: https://www.trustedfirmware.org/projects/op-tee
Rules-Requires-Root: no

Package: optee-test-qemu
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OP-TEE sanity testsuite
 OP-TEE is a Trusted Execution Environment (TEE) designed as companion to a
 non-secure Linux kernel running on Arm; Cortex-A cores using the TrustZone
 technology. OP-TEE implements TEE Internal Core API v1.1.x which is the API
 exposed to Trusted Applications and the TEE Client API v1.0, which is the API
 describing how to communicate with a TEE. Those APIs are defined in the
 GlobalPlatform API specifications.
 .
 The package includes the TEE sanity testsuite using the ARM(R) TrustZone(R)
 technology.
