=== host/xtest/Makefile ===
--- 
+++ 
@@ -40,6 +40,10 @@
 WITH_OPENSSL ?= y
 ifeq ($(WITH_OPENSSL),y)
 CFLAGS += -DOPENSSL_FOUND=1 -DOPENSSL_API_COMPAT=10100
+ifneq ($(OPENSSL_INSTALL_PATH),)
+CFLAGS += -I$(OPENSSL_INSTALL_PATH)/include
+LDFLAGS += -L$(OPENSSL_INSTALL_PATH)/lib
+endif
 LDFLAGS += -lcrypto
 endif #require OpenSSL
