=== debian/changelog ===
optee-test (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * Bump version of optee-*-dev to >= 4.3.0

 -- Dylan Aïssi <daissi@debian.org>  Thu, 25 Jul 2024 11:20:46 +0200
