=== debian/rules ===
#!/usr/bin/make -f

export TA_DEV_KIT_DIR = /usr/lib/optee-os-dev/vexpress-qemu_armv8a/
export OPTEE_CLIENT_EXPORT = /usr
export V = 1
export CROSS_COMPILE = $(DEB_HOST_GNU_TYPE)-

# Use the system openssl instead of the embedded one
export OPTEE_OPENSSL_EXPORT=/usr/include/

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -Wno-format-truncation

%:
	dh $@
