=== host/xtest/Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	regression_8000.c \
 	regression_8100.c \
 	hash_perf.c \
+	install_ta.c \
 	stats.c \
 	symm_cipher_perf.c \
 	xtest_helpers.c \
@@ -83,10 +84,6 @@
 srcs += ffa_spmc_1000.c
 endif
 
-ifeq ($(CFG_SECSTOR_TA_MGMT_PTA),y)
-srcs += install_ta.c
-endif
-
 ifeq ($(CFG_SECURE_DATA_PATH),y)
 srcs += sdp_basic.c
 endif
@@ -107,6 +104,7 @@
 
 CFLAGS += -I./
 CFLAGS += -I./adbg/include
+CFLAGS += -I./include/uapi
 CFLAGS += -I../supp_plugin/include
 CFLAGS += -I$(out-dir)/xtest
