=== ta/os_test_lib/Makefile ===
include $(TA_DEV_KIT_DIR)/mk/conf.mk

SHLIBNAME = libos_test
SHLIBUUID = ffd2bded-ab7d-4988-95ee-e4962fff7154
include ../ta_common.mk
