=== ta/sims_keepalive/Makefile ===
BINARY = a4c04d50-f180-11e8-8eb2-f2801f1b9fd1
include ../ta_common.mk
