=== debian/changelog ===
optee-test (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * Bump version of optee-*-dev to >= 4.5.0
  * Export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 23 Jan 2025 09:41:37 +0100
