=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,7 @@
 
 export DEB_CFLAGS_MAINT_APPEND = -Wno-format-truncation
 
+export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1
+
 %:
 	dh $@
