=== host/xtest/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	regression_8000.c
 	regression_8100.c
 	hash_perf.c
+	install_ta.c
 	stats.c
 	symm_cipher_perf.c
 	xtest_helpers.c
@@ -74,8 +75,8 @@
 	macro(__GEN_GP_FILE outfile xmldir name basedir)
 		add_custom_command(
 			OUTPUT	${outfile}
-			COMMAND	xalan -in ${basedir}/${name}.xml
-				      -xsl gp/${name}.xsl -out ${outfile}
+			COMMAND	xsltproc -o ${outfile} gp/${name}.xsl
+							${basedir}/${name}.xml
 			DEPENDS ${basedir}/${name}.xml gp/${name}.xsl
 		)
 	endmacro(__GEN_GP_FILE)
@@ -99,10 +100,6 @@
 		sock_server.c
 		rand_stream.c
 	)
-endif()
-
-if (CFG_SECSTOR_TA_MGMT_PTA)
-	list (APPEND SRC install_ta.c)
 endif()
 
 if (CFG_SECURE_DATA_PATH)
@@ -129,6 +126,7 @@
 	PRIVATE .
 	PRIVATE ../supp_plugin/include
 	PRIVATE adbg/include
+	PRIVATE include/uapi
 	PRIVATE ${OPTEE_TEST_SDK}/host_include
 	PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
 	${GP_INCLUDES}
