=== host/xtest/Makefile ===
--- 
+++ 
@@ -139,7 +139,7 @@
 # Include configuration file generated by OP-TEE OS (CFG_* macros)
 CFLAGS += -include conf.h
 
-CFLAGS += -Wall -Wcast-align -Werror \
+CFLAGS += -Wall -Wcast-align \
 	  -Werror-implicit-function-declaration -Wextra -Wfloat-equal \
 	  -Wformat-nonliteral -Wformat-security -Wformat=2 -Winit-self \
 	  -Wmissing-declarations -Wmissing-format-attribute \
@@ -148,7 +148,12 @@
 	  -Wshadow -Wstrict-prototypes -Wswitch-default \
 	  -Wwrite-strings -Wno-unused-parameter \
 	  -Wno-declaration-after-statement \
-	  -Wno-missing-field-initializers -Wno-format-zero-length
+	  -Wno-missing-field-initializers -Wno-format-zero-length \
+	  -Wno-alloc-size
+
+ifeq ($(CFG_WERROR),y)
+CFLAGS += -Werror
+endif
 
 CFLAGS += -g3
