=== ta/bti_test/Makefile ===
BINARY = 3616069b-504d-4044-9497-feb84a073a14
include ../ta_common.mk
