=== ta/concurrent/Makefile ===
BINARY =  e13010e0-2ae1-11e5-896a-0002a5d5c51b
include ../ta_common.mk
