=== ta/concurrent_large/Makefile ===
BINARY =  5ce0c432-0ab0-40e5-a056-782ca0e6aba2
include ../ta_common.mk
