=== ta/create_fail_test/Makefile ===
BINARY = c3f6e2c0-3548-11e1-b86c-0800200c9a66
include ../ta_common.mk
