=== ta/crypt/Makefile ===
BINARY =  cb3e5ba0-adf1-11e0-998b-0002a5d5c51b
include ../ta_common.mk
