=== ta/crypto_perf/Makefile ===
BINARY = 02a42f43-d8b7-4a57-aa4d-87bd9b5587cb

include ../ta_common.mk
