=== debian/changelog ===
optee-test (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0
  * Bump version of optee-*-dev to >= 4.7.0
  * Standards-Version: 4.7.2 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 Aug 2025 22:09:24 +0200
