## optee-test 4.8.0

=== debian/changelog ===
optee-test (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0
  * Bump version of optee-*-dev to >= 4.8.0
  * Add debian/gbp.conf

 -- Dylan Aïssi <daissi@debian.org>  Thu, 15 Jan 2026 18:17:54 +0100
