=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                libssl-dev,
-               optee-client-dev (>=4.7.0) [arm64],
-               optee-os-dev (>=4.7.0) [arm64],
+               optee-client-dev (>=4.8.0) [arm64],
+               optee-os-dev (>=4.8.0) [arm64],
                python3,
                python3-cryptography
 Vcs-Browser: https://salsa.debian.org/debian/optee-test
